<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools"
    android:padding="10dp"
    android:background="@drawable/shape_15dp"
    xmlns:app="http://schemas.android.com/apk/res-auto">


    <TextView
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_ok"
        app:layout_constraintBottom_toBottomOf="@id/tv_ok"
        android:paddingLeft="10dp"
        android:text="请选择"
        android:textStyle="bold"
        android:textSize="12sp"
        android:textColor="#333"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:paddingLeft="10dp"
        android:paddingRight="10dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:id="@+id/tv_ok"
        android:text="确定"
        android:textColor="#000"
        android:textSize="14sp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.google.android.material.tabs.TabLayout
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_ok"
        app:tabBackground="@color/white"
        android:id="@+id/tl"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        app:tabIndicatorColor="#FF347FFF"
        app:tabSelectedTextColor="#FF347FFF"
        app:tabTextColor="#666666">

    </com.google.android.material.tabs.TabLayout>

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/vp"
        app:layout_constraintTop_toBottomOf="@id/tl"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_width="match_parent"
        android:layout_height="300dp"/>

    <FrameLayout
        android:id="@+id/fl_loading"
        tools:visibility="visible"
        android:visibility="gone"
        app:layout_constraintTop_toTopOf="@id/tv_ok"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_width="match_parent"
        android:layout_height="0dp">
        <ProgressBar
            android:layout_gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>
    </FrameLayout>

</androidx.constraintlayout.widget.ConstraintLayout>